Subject: An extremely simplified pinctrl bindings proposal

From: [email-masked] (Tony Lindgren)
Date: Mon, 6 Feb 2012 11:03:15 -0800

* Linus Walleij <[email-masked]> [120206 08:58]:
> On Mon, Feb 6, 2012 at 6:53 AM, Stephen Warren <[email-masked]> wrote:
> 
> I will certainly finalize the pinctrl subsystem as-is, adding the
> pin configurations states as the last major piece. If for nothing
> else it provides some understanding of the problem space.
> 
> I think we should keep both for the time being and consider the
> alternative approach when patches appear. So if/when someone
> creates a new subsystem like this, drivers can move over to it on a
> per-driver basis. If there are zero drivers left in pinctrl it can be
> deleted.

Yes it seems that we can easily do both. So far the only
change needed for pinctrl drivers containing no data is that
we should make the string names optional and structure debugfs
around the physical register addresses instead. I'm basically
just setting the mux register physcal address as the pin name
for now to work around this.

Regards,

Tony